%define gitversion 0
%define fixesdate 0
%define rel 1

%if %{fixesdate}
%define release %{fixesdate}.%{rel}
%else
%define release %{rel}
%endif

%define api 0.27
%define major 0
%define libname %mklibname mythtv %{api} %{major}
%define libbase %mklibname mythbase %{api} %{major}
%define libfreemheg %mklibname mythfreemheg %{api} %{major}
%define libhdhomerun %mklibname mythhdhomerun %{api} %{major}
%define libmetadata %mklibname mythmetadata %{api} %{major}
%define libmyth %mklibname myth %{api} %{major}
%define libprotoserver %mklibname mythprotoserver %{api} %{major}
%define libservicecontracts %mklibname mythservicecontracts %{api} %{major}
%define libui %mklibname mythui %{api} %{major}
%define libupnp %mklibname mythupnp %{api} %{major}

%define libqjson %mklibname mythqjson %{major}

%define avcodec_major 54
%define libavcodec %mklibname mythavcodec %{avcodec_major}
%define avdevice_major 54
%define libavdevice %mklibname mythavdevice %{avdevice_major}
%define avformat_major 54
%define libavformat %mklibname mythavformat %{avformat_major}
%define avutil_major 52
%define libavutil %mklibname mythavutil %{avutil_major}
%define postproc_major 52
%define libpostproc %mklibname mythpostproc %{postproc_major}
%define avfilter_major 3
%define libavfilter %mklibname mythavfilter %{avfilter_major}
%define swresample_major 0
%define libswresample %mklibname mythswresample %{swresample_major}
%define swscale_major 2
%define libswscale %mklibname mythswscale %{swscale_major}

%define devname %mklibname myth -d

%define maenable 1

#set default build options
# disabled as overrides xv
%define build_directfb		0
%define build_dts		0
%define build_faac		0
%define build_faad		0
%define build_lame		0
%define build_x264		0
%define build_xvid		0

# Can be enabled later
%define build_crystalhd		0

######################
# Hardcode PLF build
%define build_plf 0
######################

%if %{build_plf}
%define extrarelsuffix plf
%define distsuffix		plf
%define build_dts		1
%define build_faac		1
%define build_faad		1
%define build_lame		1
%define build_x264		1
%define build_xvid		1
%endif

#enable/disable building for certain hardware
%{?_without_directfb:		%global build_directfb 0}
%{?_without_dts:		%global build_dts 0}
%{?_without_faac:		%global build_faac 0}
%{?_without_faad:		%global build_faad 0}
%{?_without_lame:		%global build_lame 0}
%{?_without_x264:		%global build_x264 0}
%{?_without_xvid:		%global build_xvid 0}

%{?_with_directfb:		%global build_directfb 1}
%{?_with_dts:			%global build_dts 1}
%{?_with_faac:			%global build_faac 1}
%{?_with_faad:			%global build_faad 1}
%{?_with_lame:			%global build_lame 1}
%{?_with_x264:			%global build_x264 1}
%{?_with_xvid:			%global build_xvid 1}

Summary:	A personal video recorder (PVR) application
Name:		mythtv
Version:	0.27.1
Release:	%{release}%{?extrarelsuffix}
License:	GPLv2+ and GPLv3+
Group:		Video
Url:		http://www.mythtv.org/
Source0:	%{name}-%{version}.tar.bz2
Source1:	mythbackend.sysconfig.in
Source2:	mythbackend.service.in
Source3:	mythbackend.logrotate.in
Source4:	99MythFrontend
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
Source10:	%{name}.rpmlintrc

%if %{fixesdate}
#Patch0:		fixes-%{gitversion}.patch
%endif

Patch100:	0100-lame-Allow-building-without-lame-libraries.patch
Patch102:	0102-pulse-Do-not-suspend-PA-when-using-alsa-default.patch
Patch103:	0103-Fix-dns-sd-detection.patch
Patch104:	0104-Support-libcec-2.x.patch
Patch105:	0105-Use-system-build-flags.patch
Patch106:	0106-Fix-zeromq-libdir-path-on-some-systems.patch

BuildRequires:	gdb
BuildRequires:	imagemagick
%if %{maenable}
BuildRequires:	multiarch-utils
%endif
BuildRequires:	python-lxml
BuildRequires:	python-mysql
BuildRequires:	python-urlgrabber
BuildRequires:	yasm
%if %{build_crystalhd}
BuildRequires:	crystalhd-devel
%endif
%if %{build_lame}
BuildRequires:	lame-devel
%endif
%if %{build_faac}
BuildRequires:	libfaac-devel
%endif
%if %{build_faad}
BuildRequires:	libfaad2-devel
%endif
BuildRequires:	perl-devel
BuildRequires:	qt4-devel
%if %{build_xvid}
BuildRequires:	xvid-devel
%endif
BuildRequires:	perl(Date::Manip)
BuildRequires:	perl(DBD::mysql)
BuildRequires:	perl(DBI)

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(avahi-compat-libdns_sd)
BuildRequires:	pkgconfig(dvdnav)
%if %{build_directfb}
BuildRequires:	pkgconfig(directfb)
%endif
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libavc1394)
BuildRequires:	pkgconfig(libcec)
%if %{build_dts}
BuildRequires:	pkgconfig(libdts)
%endif
BuildRequires:	pkgconfig(libiec61883)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(x11)
%if %{build_x264}
BuildRequires:	pkgconfig(x264)
%endif
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xvmc)
BuildRequires:	pkgconfig(xxf86vm)

%description
MythTV implements the following PVR features, and more, with a
unified graphical interface:

 - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
 - Video compression using RTjpeg or MPEG-4
 - Program listing retrieval using XMLTV
 - Themable, semi-transparent on-screen display
 - Electronic program guide
 - Scheduled recording of TV programs
 - Resolution of conflicts between scheduled recordings
 - Basic video editing

%if %{build_plf}
This package is in restricted because it contains software that supports
codecs that may be covered by software patents.
%endif
%if !%{build_lame}
Note that this build does not support MP3 encoding when recording
into the NuppelVideo format.
%endif
%if %{fixesdate}
This package is based on the MythTV "fixes" branch at 
revision %{gitversion}
%endif

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	MythTV shared library
Group:		System/Libraries
Obsoletes:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libname}
MythTV shared library.

%files -n %{libname}
%{_libdir}/libmythtv-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libbase}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libbase}
MythTV shared library.

%files -n %{libbase}
%{_libdir}/libmythbase-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libfreemheg}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libfreemheg}
MythTV shared library.

%files -n %{libfreemheg}
%{_libdir}/libmythfreemheg-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libhdhomerun}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libhdhomerun}
MythTV shared library.

%files -n %{libhdhomerun}
%{_libdir}/libmythhdhomerun-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libmetadata}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libmetadata}
MythTV shared library.

%files -n %{libmetadata}
%{_libdir}/libmythmetadata-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libmyth}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libmyth}
MythTV shared library.

%files -n %{libmyth}
%{_libdir}/libmyth-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libprotoserver}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libprotoserver}
MythTV shared library.

%files -n %{libprotoserver}
%{_libdir}/libmythprotoserver-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libservicecontracts}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libservicecontracts}
MythTV shared library.

%files -n %{libservicecontracts}
%{_libdir}/libmythservicecontracts-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libui}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libui}
MythTV shared library.

%files -n %{libui}
%{_libdir}/libmythui-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libupnp}
Summary:	MythTV shared library
Group:		System/Libraries

%description -n %{libupnp}
MythTV shared library.

%files -n %{libupnp}
%{_libdir}/libmythupnp-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libqjson}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libqjson}
MythTV shared library.

%files -n %{libqjson}
%{_libdir}/libmythqjson.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libavcodec}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libavcodec}
MythTV shared library.

%files -n %{libavcodec}
%{_libdir}/libmythavcodec.so.%{avcodec_major}*

#----------------------------------------------------------------------------

%package -n %{libavdevice}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libavdevice}
MythTV shared library.

%files -n %{libavdevice}
%{_libdir}/libmythavdevice.so.%{avdevice_major}*

#----------------------------------------------------------------------------

%package -n %{libavformat}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libavformat}
MythTV shared library.

%files -n %{libavformat}
%{_libdir}/libmythavformat.so.%{avformat_major}*

#----------------------------------------------------------------------------

%package -n %{libavutil}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libavutil}
MythTV shared library.

%files -n %{libavutil}
%{_libdir}/libmythavutil.so.%{avutil_major}*

#----------------------------------------------------------------------------

%package -n %{libpostproc}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libpostproc}
MythTV shared library.

%files -n %{libpostproc}
%{_libdir}/libmythpostproc.so.%{postproc_major}*

#----------------------------------------------------------------------------

%package -n %{libavfilter}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libavfilter}
MythTV shared library.

%files -n %{libavfilter}
%{_libdir}/libmythavfilter.so.%{avfilter_major}*

#----------------------------------------------------------------------------

%package -n %{libswresample}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libswresample}
MythTV shared library.

%files -n %{libswresample}
%{_libdir}/libmythswresample.so.%{swresample_major}*

#----------------------------------------------------------------------------

%package -n %{libswscale}
Summary:	MythTV shared library
Group:		System/Libraries
Conflicts:	%{_lib}myth0.25.2 < 0.27.1

%description -n %{libswscale}
MythTV shared library.

%files -n %{libswscale}
%{_libdir}/libmythswscale.so.%{swscale_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libmyth
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	%{libbase} = %{EVRD}
Requires:	%{libfreemheg} = %{EVRD}
Requires:	%{libhdhomerun} = %{EVRD}
Requires:	%{libmetadata} = %{EVRD}
Requires:	%{libmyth} = %{EVRD}
Requires:	%{libprotoserver} = %{EVRD}
Requires:	%{libservicecontracts} = %{EVRD}
Requires:	%{libui} = %{EVRD}
Requires:	%{libupnp} = %{EVRD}
# extra libs
Requires:	%{libqjson} = %{EVRD}
Requires:	%{libavcodec} = %{EVRD}
Requires:	%{libavdevice} = %{EVRD}
Requires:	%{libavformat} = %{EVRD}
Requires:	%{libavutil} = %{EVRD}
Requires:	%{libpostproc} = %{EVRD}
Requires:	%{libavfilter} = %{EVRD}
Requires:	%{libswresample} = %{EVRD}
Requires:	%{libswscale} = %{EVRD}
Provides:	myth-devel = %{EVRD}

%description -n %{devname}
This package contains the header files and libraries for developing
add-ons for mythtv.

%files -n %{devname}
%if %{maenable}
%{multiarch_includedir}/mythtv/mythconfig.h
%endif
%{_includedir}/mythtv
# FIXME: Manually multiarch mythconfig.mak
%{_libdir}/*.so

#----------------------------------------------------------------------------

%package themes-base
Summary:	Base themes for mythtv's frontend
Group:		Video
Conflicts:	mythtv-themes-myththemes < 0.22
Conflicts:	mythtv-plugin-controls < 0.22
BuildArch:	noarch

%description themes-base
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains only the base themes used by mythtv-frontend and
mythtv-setup.

%files themes-base
%dir %{_datadir}/mythtv
%{_datadir}/mythtv/themes
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

#----------------------------------------------------------------------------

%package common
Summary:	Common components needed by multiple other MythTV components
Group:		Video
Conflicts:	mythtv-backend < 0.25
Conflicts:	mythtv-frontend < 0.25

%description common
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains components needed by multiple other MythTV components.

%files common
%{_bindir}/mythccextractor
%{_bindir}/mythcommflag
%{_bindir}/mythpreviewgen
%{_bindir}/mythtranscode
%{_bindir}/mythwikiscripts
%{_bindir}/mythmetadatalookup
%{_bindir}/mythutil
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/mythconverg*.pl
%dir %{_datadir}/%{name}/locales
%{_datadir}/%{name}/locales/*
%dir %{_datadir}/%{name}/metadata
%{_datadir}/%{name}/metadata/*
%dir %{_datadir}/%{name}/hardwareprofile
%{_datadir}/%{name}/hardwareprofile/*

#----------------------------------------------------------------------------

%package frontend
Summary:	Client component of mythtv (a PVR)
Group:		Video
Requires:	mythtv-themes-base = %{EVRD}
Requires:	mythtv-common = %{EVRD}
Requires:	qt4-database-plugin-mysql
Requires:	mplayer
%if %{build_plf}
Requires:	transcode
Requires:	%{mklibname dvdcss 2}
%endif
Obsoletes:	mythtv-plugin-controls < 0.25
Obsoletes:	mythtv-plugin-video < 0.25
Conflicts:	mythtv-backend < 0.25

%description frontend
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains only the client software, which provides a
front-end for playback and configuration.  It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.

%files frontend
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/99MythFrontend
%{_datadir}/mythtv/*.xml
%exclude %{_datadir}/mythtv/setup.xml
%{_bindir}/mythavtest
%{_bindir}/mythff*
%{_bindir}/mythfrontend
%{_bindir}/mythlcdserver
%{_bindir}/mythscreenwizard
%{_bindir}/mythshutdown
%{_bindir}/mythwelcome
%dir %{_libdir}/mythtv
%{_libdir}/mythtv/filters
%{_libdir}/mythtv/plugins
%dir %{_datadir}/mythtv
%dir %{_datadir}/mythtv/fonts
%{_datadir}/mythtv/fonts/*.otf
%{_datadir}/mythtv/fonts/*.ttf
%{_datadir}/mythtv/i18n
%{_datadir}/applications/mandriva-mythtv-frontend.desktop

#----------------------------------------------------------------------------

%package backend
Summary:	Server component of mythtv (a PVR)
Group:		Video
Requires:	%{libname} = %{EVRD}
Requires:	mythtv-common = %{EVRD}
Requires:	qt4-database-plugin-mysql
Requires(pre,post,preun,postun):	rpm-helper
Conflicts:	mythtv-frontend < 0.25

%description backend
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains only the server software, which provides video
and audio capture and encoding services.  In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.

%if !%{build_lame}
Note that this build does not support MP3 encoding when recording
into the NuppelVideo format.
%endif

%files backend
%doc README.install.urpmi
%{_bindir}/mythbackend
%{_bindir}/mythfilldatabase
%{_bindir}/mythhdhomerun_config
%{_bindir}/mythjobqueue
%{_bindir}/mythmediaserver
%{_bindir}/mythreplex
%attr(-,mythtv,mythtv) %dir %{_localstatedir}/lib/mythtv
%attr(-,mythtv,mythtv) %dir %{_localstatedir}/lib/mythtv/recordings
%attr(-,mythtv,mythtv) %dir %{_var}/cache/mythtv
%{_unitdir}/mythbackend.service
%config(noreplace) %{_sysconfdir}/sysconfig/mythbackend
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%attr(-,mythtv,mythtv) %dir %{_logdir}/mythtv
%{_datadir}/%{name}/backend-config
%dir %{_datadir}/%{name}/initialdb
%{_datadir}/%{name}/initialdb/mc.sql
%{_datadir}/mythtv/internetcontent/

%pre backend
# Add the "mythtv" user
%_pre_useradd mythtv %{_localstatedir}/lib/mythtv /sbin/nologin
gpasswd -a mythtv audio &>/dev/null
gpasswd -a mythtv video &>/dev/null

%postun backend
%_postun_userdel mythtv

%post backend
%_post_service mythbackend

%preun backend
%_preun_service mythbackend

#----------------------------------------------------------------------------

%package setup
Summary:	Setup the mythtv backend
Group:		Video
Requires:	mythtv-backend = %{EVRD}
Requires:	mythtv-themes-base = %{EVRD}
Provides:	mythtvsetup = %{EVRD}
Requires:	qt4-database-plugin-mysql

%description setup
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the setup software for configuring the mythtv
backend.

%if !%{build_lame}
Note that this build does not support MP3 encoding when recording
into the NuppelVideo format.
%endif

%files setup
%{_bindir}/mythtv-setup
%{_datadir}/applications/mandriva-mythtv-setup.desktop
%dir %{_datadir}/mythtv
%{_datadir}/mythtv/setup.xml

#----------------------------------------------------------------------------

%package doc
Summary:	MythTV documentation
Group:		Documentation

%description doc
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the documentation and contributed additional
scripts for MythTV.

%files doc
%doc README UPGRADING AUTHORS COPYING FAQ
%doc keys.txt
%doc contrib
%{_datadir}/%{name}/contrib
%{_datadir}/%{name}/html

#----------------------------------------------------------------------------

%package -n perl-MythTV
Summary:	Perl bindings for MythTV
Group:		Development/Perl

%description -n perl-MythTV
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the perl bindings for MythTV.

%files -n perl-MythTV
%{perl_vendorlib}/MythTV.pm
%{perl_vendorlib}/MythTV
%{perl_vendorlib}/IO/Socket/INET/MythTV.pm

#----------------------------------------------------------------------------

%package -n python-mythtv
Summary:	Python bindings for MythTV
Group:		Development/Python
Requires:	python-mysql
Requires:	python-lxml

%description -n python-mythtv
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the python bindings for MythTV.

%files -n python-mythtv
%{_bindir}/mythpython
%{py_puresitedir}/MythTV

#----------------------------------------------------------------------------

%package -n php-mythtv
Summary:	PHP bindings for MythTV
Group:		Development/PHP
Requires:	php-mysql
BuildArch:	noarch

%description -n php-mythtv
MythTV provides a unified graphical interface for recording and viewing
television programs.

This package contains the PHP bindings for MythTV.

%files -n php-mythtv
%{_datadir}/%{name}/bindings/php

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# (cg) Fixes might bring in some .gitignore files in patches... trash 'em.
find -name .gitignore -delete

# (cg) The installer is dumb and installs our patch backup files...
# This can be removed after 0.25
rm -f programs/scripts/database/mythconverg_restore.pl.*

# (cg) As of 0.21, only contrib scripts are affected.
find contrib -type f | xargs grep -l /usr/local | xargs perl -pi -e's|/usr/local|%{_prefix}|g'

echo "QMAKE_PROJECT_DEPTH = 0" >> mythtv.pro
echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro

cp -a %{SOURCE1} %{SOURCE2} %{SOURCE3} .
for file in mythbackend.service \
            mythbackend.sysconfig \
            mythbackend.logrotate; do
  sed -e's|@logdir@|%{_logdir}|g' \
      -e's|@rundir@|%{_var}/run|g' \
      -e's|@sysconfdir@|%{_sysconfdir}|g' \
      -e's|@sysconfigdir@|%{_sysconfdir}/sysconfig|g' \
      -e's|@initdir@|%{_initrddir}|g' \
      -e's|@bindir@|%{_bindir}|g' \
      -e's|@sbindir@|%{_sbindir}|g' \
      -e's|@subsysdir@|%{_var}/lock/subsys|g' \
      -e's|@varlibdir@|%{_localstatedir}/lib|g' \
      -e's|@varcachedir@|%{_var}/cache|g' \
      -e's|@logrotatedir@|%{_sysconfdir}/logrotate.d|g' \
  < $file.in > $file
done

# default recordings dir
perl -pi -e's|/mnt/store|%{_localstatedir}/lib/mythtv/recordings|' programs/mythtv-setup/backendsettings.cpp

# do not set hardcoded archflags
perl -pi -e's|^echo "ARCHFLAGS=|# echo "ARCHFLAGS=|' configure

# Fix the version reporting (which assumes svn checkout)
echo "SOURCE_VERSION=%{version}-%{release}" >VERSION

%build
%global optflags %{optflags} -fno-devirtualize

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libdir-name=%{_lib} \
	--enable-runtime-cpudetect \
	--enable-dvb \
	--enable-opengl-video \
	--without-bindings=perl \
	--extra-cxxflags="%{optflags}" \
	--extra-ldflags="%{ldflags}" \
	--enable-vdpau \
	--enable-vaapi \
%if %{build_crystalhd}
	--enable-crystalhd \
%endif
	--enable-libfftw3 \
	--enable-libdns-sd \
	--enable-libvpx \
%if %{build_plf}
	--enable-nonfree \
%endif
%if %{build_x264}
	--enable-libx264 \
%endif
%if %{build_xvid}
	--enable-libxvid \
%endif
%if %{build_faac}
	--enable-libfaac \
%endif
%if %{build_lame}
	--enable-libmp3lame \
%endif
	--enable-firewire \
	--disable-mythlogserver

%make

# This is easier to do ourselves
pushd bindings/perl
perl Makefile.PL INSTALLDIRS=vendor
%make
popd

%install
INSTALL_ROOT=%{buildroot}; export INSTALL_ROOT
%makeinstall

pushd bindings/perl
%makeinstall_std
popd

%if %{maenable}
%multiarch_includes %{buildroot}%{_includedir}/mythtv/mythconfig.h
%endif

mkdir -p %{buildroot}%{_localstatedir}/lib/mythtv
mkdir -p %{buildroot}%{_localstatedir}/lib/mythtv/recordings
mkdir -p %{buildroot}%{_var}/cache/mythtv
mkdir -p %{buildroot}%{_logdir}/mythtv
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

install -p mythbackend.service %{buildroot}%{_unitdir}/mythbackend.service
install -p mythbackend.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/mythbackend
install -p mythbackend.logrotate  %{buildroot}%{_sysconfdir}/logrotate.d

# wmsession.d for mythfrontend
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
install -p %{SOURCE4} %{buildroot}%{_sysconfdir}/X11/wmsession.d

# icon
install -d -m755 %{buildroot}/%{_miconsdir}
install -m755 %{SOURCE5} %{buildroot}/%{_miconsdir}/%{name}.png

install -d -m755 %{buildroot}/%{_iconsdir}
install -m755 %{SOURCE6} %{buildroot}/%{_iconsdir}/%{name}.png

install -d -m755 %{buildroot}/%{_liconsdir}
install -m755 %{SOURCE7} %{buildroot}/%{_liconsdir}/%{name}.png


# Mandriva Menu entrys
install -d -m755 %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-mythtv-frontend.desktop
[Desktop Entry]
Name=MythTV
Comment=Record, playback and watch TV
Exec=mythfrontend
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;AudioVideo;Video;TV;Recorder;X-MandrivaLinux-Multimedia-Video;
EOF
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-mythtv-setup.desktop
[Desktop Entry]
Name=MythTV Setup
Comment=Setup MythTV backend
Exec=mythtv-setup
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;AudioVideo;Video;TV;Recorder;X-MandrivaLinux-Multimedia-Video;
EOF

cat > README.install.urpmi <<EOF
You can import the initial database by running:
mysql -u root -p < %{_datadir}/mythtv/initialdb/mc.sql
(you can omit -p if you do not have the password set)
EOF

mkdir -p %{buildroot}%{_libdir}/mythtv/plugins

install -d -m755 %{buildroot}%{_datadir}/mythtv/initialdb
install -m644 database/* %{buildroot}%{_datadir}/mythtv/initialdb

# install a few useful contrib scripts
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -ar contrib %{buildroot}%{_datadir}/%{name}

# Remove python egg-info as it's pointless
rm -f %{buildroot}%{py_puresitedir}/MythTV-*.egg-info

# (cg) We cover the package license so no need to include it separately
rm -f %{buildroot}%{_datadir}/%{name}/fonts/*.txt

# (cg) This is needed for the %doc stuff on the subpackages for some reason...
mkdir -p %{buildroot}%{_docdir}/%{name}-backend
mkdir -p %{buildroot}%{_docdir}/%{name}-doc

# (cg) For some reason the FFmpeg stuff is included in two build roots :s
if [ -d %{buildroot}%{buildroot}%{_includedir}/%{name} ]; then
  mv %{buildroot}%{buildroot}%{_includedir}/%{name}/* %{buildroot}%{_includedir}/%{name}
  rmdir -p %{buildroot}%{buildroot}%{_includedir}/%{name} || /bin/true
fi
if [ -f %{buildroot}%{buildroot}%{_bindir}/mythffmpeg ]; then
  mv %{buildroot}%{buildroot}%{_bindir}/mythff* %{buildroot}%{_bindir}
  rmdir -p %{buildroot}%{buildroot}%{_bindir} || /bin/true
fi


%changelog
* Tue Jul 08 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.27.1-1
+ Revision: 15314b8
- Adjust build flags


